Register Smart Wallet
This endpoint registers a new smart wallet for a user, linking this wallet with your project. You can check if the wallet was already registered by checking the _registeredAt_ value from the _Check Smart Wallet_ endpoint.
Authorization
x-api-key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/wallets/register" \ -H "Content-Type: application/json" \ -d '{ "externallyOwnedAccount": "0x133700000000000000000000000000000000c0de", "factory": "0x0000000000400cdfef5e2714e63d8040b700bc24" }'{ "wallet": { "metadata": { "key": "value" }, "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464", "externallyOwnedAccount": "0x133700000000000000000000000000000000c0de", "factory": "0x0000000000400cdfef5e2714e63d8040b700bc24", "implementation": "0x8e8e658e22b12ada97b402ff0b044d6a325013c7", "eip7702": false, "deployed": [ { "chain": { "id": 137, "name": "POLYGON", "logo": "https://logopolygon.com" }, "deployed": true } ], "salt": 12345, "registeredAt": "2025-08-06T16:57:09.249Z", "lastTransactionAt": "2025-08-06T16:57:09.249Z" }}